![render image](doc/images/render.png)

<iframe src="https://myhub.autodesk360.com/ue28af833/shares/public/SH56a43QTfd62c1cd96847154d5ed1f7a373?mode=embed" width="640" height="480" allowfullscreen="true" webkitallowfullscreen="true" mozallowfullscreen="true"  frameborder="0"></iframe>

This project contains all design files for a **6:1 audio multiplexer** , meaning it can switch six analog inputs into one analog output. 

It is based on the [BD3491](https://www.digikey.de/product-detail/de/rohm-semiconductor/BD3491FS-E2/BD3491FS-E2TR-ND/5720882) which does everthing related to the Audio signals.

On top of switching the inputs, it is also able to condition the signal. It can 

- Apply Bass-Boosting and Treble-Boosting (essentially a crappy 3-Point Equalizer)
- Amplify the input signal by up to 20dB
- Add attenuation to the individual channels (aka. balance the left and right channel)

All of these feature of the chip can be activated with the on-board STM32, which can in turn be controlled 
with either on-board buttons or via it's integrated USB port. One can either use the serial protocol directly 
or a [GUI written in python](gui/README.md)  

The Board can be supplied over said USB port as well (if the primary use-case implies it beeing connected
to the PC constantly) or by applying power using a 2.1mm Barrel Jack.

For more details on the pcb, check the [PCB readme](kicad/README.md)

For details on the Serial command syntax and firmware flashing instructions, check the [firmware readme](firmware/README.md)


# Why

Because ? 

Sometimes you just need more inputs. This is how you do it. 

