![THE PCB](../doc/audioMux-brd.svg)

There are a total of six solderjumpers on the board:

# switching to the barrel jack as voltage supply

*JP3* and *JP4* set the source for the supply voltage. 
*JP4* connects the voltage input to the barrel jack, *JP4* connects it to the USB +5V rail.

Per Default JP4 is closed and JP3 is open, making the default way of supplying voltage the USB jack. 

If the Barrel Jack should be used, then **JP4 has to be opened first** by cutting the trace which shorts it by default, otherwise **the USB voltage will be shorted with the barrel jack, causing potential damage to the USB port**.
Afterwards, *JP3* can be closed with a small blob of solder. 

# activating the equalizer

*JP1* and *JP2* connect the output of the Audio switching part of the Rohm chip. 
When left in the default setting, they will connect them to the output jack directly, bypassing the Equalisation part of the chip completely.

By selecting the other possible path, the equalisation circuit becomes usable. For this to work, 
*JP7* and *JP8* have to be closed with small solder blobs as well, since those connect the equalizers 
output to the output audio jack.

# Assembling the rest 

For assembly of the board, check the [documentation folder](../doc). It contains the (interactive bill of materials)[../doc/interactive_placement.html],
which indicates what components go where.

Also take a look at the [BOM](../doc/BOM.xlsx) for what components can be sourced where.
